Ipswitch WS_FTP Server 缓冲区溢出漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1193381 漏洞类型 其他
发布时间 2006-09-26 更新时间 2019-08-14
CVE编号 CVE-2006-5000 CNNVD-ID CNNVD-200609-457
漏洞平台 N/A CVSS评分 6.5
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200609-457
|漏洞详情
Ipswitch WS_FTP Server是一款适用于Windows系统的FTP服务程序。 Ipswitch WS_FTP Server在处理多个扩展命令的参数时存在缓冲区溢出漏洞,远程攻击者可以利用这个漏洞进行缓冲区溢出以SYSTEM权限执行任意指令。 WS_FTP在处理超长的XCRC/XSHA1/XMD5扩展命令参数时存在典型的栈溢出漏洞,远程攻击者可以通过溢出攻击在服务器上执行任意指令,漏洞的利用需要用户以合法的帐号登录到系统,但无须有可写的目录。
|参考资料

来源:www.ipswitch.com
链接:http://www.ipswitch.com/support/ws_ftp-server/releases/wr505hf1.asp
来源:MISC
链接:http://www.zerodayinitiative.com/advisories/ZDI-06-029.html
来源:XF
名称:wsftp-multiple-commands-bo(41829)
链接:http://xforce.iss.net/xforce/xfdb/41829
来源:BUGTRAQ
名称:20060926ZDI-06-029:IpswitchWS_FTPServerChecksumCommandParsingBufferOverflowVulnerabilities
链接:http://www.securityfocus.com/archive/1/archive/1/447077/100/0/threaded
来源:SECTRACK
名称:1016935
链接:http://securitytracker.com/id?1016935